Creates an AccountRate Relationship. Linking AccountMeter and Rate
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountMeterId | integer (int32) | Required |
Request Body
AccountRateRequest
| Property | Description | Type |
|---|---|---|
| rateId | The identifier for the rate to assign to the accountMeter Required Required | integer (int32) |
| startDate | The start date for the accountRate Required Required | string (date-time) |
Example Request Body
{ "rateId": 1, "startDate": "2026-03-30"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
AccountMeterRateResponse
| Property | Description | Type |
|---|---|---|
| endDate | The end date for the rate on the account meter Required (defined) | string (date-time) |
| name | The rate name Required (defined) | string |
| note | The rate’s note Required (defined) | string |
| rateCode | The rate code Required (defined) | string |
| rateId | The account meter tariff identifier Required (defined) | integer (int32) |
| startDate | The start date for the rate on the account meter Required (defined) | string (date-time) |
Example Response
{ "endDate": "2026-03-30", "name": "string", "note": "string", "rateCode": "string", "rateId": 1, "startDate": "2026-03-30"
}